Robotsystem from Robot Group Leipzig: CameraManipulatorRace Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CameraManipulatorRace Class Reference

`#include <cameramanipulatorRace.h>`

Inheritance diagram for CameraManipulatorRace:

[legend]
Collaboration diagram for CameraManipulatorRace:

[legend]
List of all members.

## Detailed Description

CameraManipulatorRace is a MatrixManipulator which provides Flying simulator-like updating of the camera position & orientation.

Left mouse button: Pan and tilt Right mouse button: forward and sideways Middle mouse button: up and sideways

Definition at line 49 of file cameramanipulatorRace.h.

## Public Member Functions
| CameraManipulatorRace (osg::Node *node, GlobalData &global)
virtual const char * | className () const
| returns the classname of the manipulator it's NECCESSARY to define this funtion, otherwise the new manipulator WON'T WORK! (but ask me not why)
## Protected Member Functions
virtual | ~CameraManipulatorRace ()
virtual void | calcMovementByAgent ()
| This handles robot movements, so that the camera movemenent is right affected.

## Constructor & Destructor Documentation

CameraManipulatorRace | ( | osg::Node * | node,
|  | GlobalData & | global
| ) |

| Definition at line 47 of file cameramanipulatorRace.cpp.

~CameraManipulatorRace | ( |  | ) | `[protected, virtual]`

| Definition at line 50 of file cameramanipulatorRace.cpp.

## Member Function Documentation

void calcMovementByAgent | ( |  | ) | `[protected, virtual]`

| This handles robot movements, so that the camera movemenent is right affected. should be overwritten by new cameramanipulator Reimplemented from CameraManipulator. Definition at line 53 of file cameramanipulatorRace.cpp.

virtual const char* className | ( |  | ) | const`[inline, virtual]`

| returns the classname of the manipulator it's NECCESSARY to define this funtion, otherwise the new manipulator WON'T WORK! (but ask me not why) Reimplemented from CameraManipulator. Definition at line 59 of file cameramanipulatorRace.h.